List services
GET
/v1/service/
const url = 'https://example.com/v1/service/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/service/ \ --header 'Authorization: Bearer <token>'Return all services for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”active
boolean
agent
string format: uuid
cursor
string
The pagination cursor value.
label
string
monitor
boolean
page_size
integer
Number of results to return per page.
search
string
A search term.
tags
string
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
account_config
required
string format: uuid
active
boolean
agent
string format: uuid
created_at
required
string format: date-time
events_start_at
required
string format: date-time
current_status
required
integer
current_status_text
required
string
deactivated_at
string format: date-time
display_name
string
exe_path
string
id
required
string format: uuid
instance
string
is_sandbox
required
boolean
kubernetes_cluster_name
required
string
label
required
string
listen_addresses
string
modified_at
required
string format: date-time
monitor
boolean
monitor_ca_file
string
monitor_expected_content
string
monitor_expected_response_code
integer
monitor_headers
monitor_unexpected_content
string
monitor_url
string
status_descriptions
required
Array<string>
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "kubernetes_cluster_name": "" } ]}